//###########################################################################
//
// FILE:	ADS8364_2812.h
//
// TITLE:	ADS8364 ADC EVM Register Definitions.
//
//###########################################################################
//
//  Ver | dd mmm yyyy | Who  | Description of changes
// =====|=============|======|===============================================
//  1.00| 30 Nov 2002 | T.H. | Initial Release
//###########################################################################


#ifndef ADS8365_F2812_H
#define ADS8365_F2812_H

#define SET_YES				1
#define SET_NO				0

#define AD_ENABLE			1
#define AD_DISABLE			0

#define U2_ADS8365			AD_ENABLE
#define U3_ADS8365			AD_ENABLE
#define U4_ADS8365			AD_ENABLE

#define	FLASH_MODE			SET_NO		//FLASH_MODE=1, Program run in Flash
#define	CAPINT_MODE			SET_NO		//

#define ADD_Mode (0)  		// 1 = ADD Mode, read address location, then data

#define ADC0_CHA0 	0x080000		// U2-ADS8365->XCS2->0x08,0000
#define ADC0_CHA1 	0x080001
#define ADC0_CHB0 	0x080002
#define ADC0_CHB1 	0x080003
#define ADC0_CHC0 	0x080004
#define ADC0_CHC1 	0x080005
#define ADC0_CYCLE 	0x080000
#define ADC0_FIFO 	0x080000

#define ADC1_CHA0 	0x100000		// U3-ADS8365->XCS6&7->0x10,0000
#define ADC1_CHA1 	0x100001
#define ADC1_CHB0 	0x100002
#define ADC1_CHB1 	0x100003
#define ADC1_CHC0 	0x100004
#define ADC1_CHC1 	0x100005
#define ADC1_CYCLE 	0x100000
#define ADC1_FIFO 	0x100000

#define ADC2_CHA0 	0x002000		// U3-ADS8365->XCS0&1->0x00,2000
#define ADC2_CHA1 	0x002001
#define ADC2_CHB0 	0x002002
#define ADC2_CHB1 	0x002003
#define ADC2_CHC0 	0x002004
#define ADC2_CHC1 	0x002005
#define ADC2_CYCLE 	0x002000
#define ADC2_FIFO 	0x002000

#define ADS8365_U2	0
#define ADS8365_U3	1
#define ADS8365_U4	2

// Global Variables
#define ADC_NUM			3
#define	ADC_DATA_NUM	96*3	//96*3*6*3
#define ADC_ERR_NUM		15		//20*6*3

extern unsigned int ADS8365_Debug;
extern unsigned int ADS8365_Ready;

extern unsigned int ADC_EOC_Flag[ADC_NUM];

#endif
