//###########################################################################
//
// FILE:    DSP281x_DefaultIsr.h
//
// TITLE:   DSP281x Devices Default Interrupt Service Routines Definitions.
//
//###########################################################################
//
//  Ver | dd mmm yyyy | Who  | Description of changes
// =====|=============|======|===============================================
//  1.00| 11 Sep 2003 | L.H. | Changes since previous version (v.58 Alpha)
//      |             |      | Changed USER0-USER11 to USER1-USER12 to match the CPU guide
//###########################################################################

#ifndef DSP281x_ISR_H
#define DSP281x_ISR_H

#ifdef __cplusplus
extern "C" {
#endif

extern Uint32 EvaTimer1InterruptCount;
extern Uint32 EvaTimer2InterruptCount;
extern Uint32 EvbTimer3InterruptCount;

//---------------------------------------------------------------------------
// Service Routine Declarations:
// 
extern void read_ADS8365(int adc);

extern interrupt void EvaTimer1_Isr(void);
//extern interrupt void EvaTimer2_Isr(void);
extern interrupt void EvbTimer3_Isr(void);
extern interrupt void EvaCap1_Isr(void);
extern interrupt void EvaCap2_Isr(void);
extern interrupt void EvaCap3_Isr(void);


#ifdef __cplusplus
}
#endif /* extern "C" */

#endif    // end of DSP281x_DEFAULT_ISR_H definition

