//###########################################################################
//
// FILE:   DSP281x_XIntrupt.c
//
// TITLE:  DSP28 External Interrupt Initialization & Support Functions.
//
//###########################################################################
//
//  Ver | dd mmm yyyy | Who  | Description of changes
// =====|=============|======|===============================================
//  1.00| 11 Sep 2003 | L.H. | No change since previous version (v.58 Alpha)
//###########################################################################

#include "DSP281x_Device.h"     // DSP281x Headerfile Include File
#include "DSP281x_Setting.h"   // DSP281x Examples Include File

//---------------------------------------------------------------------------
// InitXIntrupt: 
//---------------------------------------------------------------------------
// This function initializes external interrupts to a known state.
//
#pragma CODE_SECTION(Xint1_Isr_ads8365, "ramfuncs");


void InitXIntrupt(void)
{

}

interrupt void Xint1_Isr_ads8365(void)
{
  // Disable XINT1 To avoid conflicts with EOC pulse
	XIntruptRegs.XINT1CR.all = 0x0000;
		
	XIntruptRegs.XINT1CR.all = 0x0001;		//Enable XINT1
  // To recieve more interrupts from this PIE group, acknowledge this interrupt 
	PieCtrlRegs.PIEACK.all = PIEACK_GROUP1; 
   	return;
}  

//===========================================================================
// No more.
//===========================================================================
